@import "../../../_mixins.scss";

.template-container {
  display: flex;
  height: 88vh;

  .footer {
    align-items: center;
    .action-btns {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      .show-hidden-section-checkbox {
        margin-bottom: 10px;
      }
    }
    .doc-details {
      padding: 10px 0 15px 0;
      font-weight: 500;
      display: flex;
      text-align: left;
      flex-direction: column;
      width: 175px;

      div {
        padding-top: 5px;
      }

      span {
        font-weight: 600;
      }
    }

    .preview-btns {
      padding: 0;
      .view-button-template {
        background-color: white !important;
        margin: 0 5px 0 0px;
        border: 1px solid #ccc;

        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          background-size: 16px !important;
          background-color: white !important;
        }
      }
    }

    display: flex;
    flex-direction: column;

    button.square-btn {
      margin: 15px 0;
      max-width: 200px;
      min-width: 175px;
    }

    span.checkbox-holder.show-older {
      margin: 5px;
    }

    .save-mapping {
      span > img {
        width: 17px;
        height: 17px;
        margin-right: 5px;
      }
    }
  }
}

.add-template {
  overflow: auto;

  .select-type {
    padding: 15px;
  }

  .loader {
    position: fixed;
    left: 47%;
  }

  .template-add-edit-header {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
    justify-content: space-between;

    h3 {
      margin: 0;
    }

    .checkbox-section {
      display: flex;
      gap: 15px;
    }

    .checkbox-holder {
      position: relative;
      display: flex;
      flex-direction: row;
      align-items: unset;

      .checkbox__content {
        margin-top: 7px;
      }
    }
  }

  .template-fields .field .body-section .single-field .field-section {
    padding: 0px 20px;
  }

  .hours-override-required {
    content: "*";
    color: #f00;
    margin-left: 3px;
    font-size: var(--font-xs);
  }

  .sub-section-fields {
    padding: 0;
    .sub-section {
      padding: 0;
      > div {
        padding: 0;
      }
      textarea {
        padding: 5px 10px !important;
      }
    }
  }

  .markdown {
    display: flex;
    flex-direction: column;
    background: white;
    border-top: 1px solid #eef2f5;
    position: relative;

    .img-button-reset:first-child {
      top: 35px;
    }

    .field-section {
      padding: 5px 20px;
    }

    .markdown-editor-input {
      width: 100%;
      padding: 0px 20px;

      label {
        padding: 10px 0;
      }
    }

    .select-sow-error {
      color: red;
      font-size: var(--font-s);
      margin-top: -20px;
      padding: 0px 25px;
    }

    .select-markdown-error {
      color: red;
      font-size: var(--font-s);
      margin-top: -20px;
      padding: 0 0 10px 20px;
      font-family: var(--font-first);
    }
  }

  .markdown-error {
    .CodeMirror {
      border-color: red !important;
    }

    .editor-toolbar {
      border-color: red !important;
    }
  }

  .input-label-box {
    display: flex;
    background: white;
  }

  .template-fields {
    margin: 10px 0 0 0;
    padding: 0;
    display: flex;
    flex-direction: column;

    .field {
      background: white;
      margin: 10px 0px;
    }

    .section-heading {
      font-weight: 700;
      border-bottom: 1px solid #ccc;
      padding: 15px 20px;
      background-color: white;
      text-transform: uppercase;
      display: flex;
      justify-content: space-between;
      cursor: pointer;

      .action-collapse {
        font-size: 23px;
        width: 20px;
        margin: -7px;
        cursor: pointer;
      }
    }

    .single-field {
      padding: 0 0 10px 0;

      .options-content {
        .field__input {
          padding-top: 15px;

          .radio-btn-group .radio-btn span {
            font-family: var(--font-first);
            color: var(--base-black);
            font-size: var(--font-s);
            font-weight: 600;
          }
        }
      }

      .options-content {
        width: 100%;
      }
    }
  }

  .footer {
    background: white;
    margin: 10px 0 0 0;
    padding: 20px 0 20px 15px;

    .btn.square-btn {
      margin: 0 25px 0 0;
    }
  }

  .field--collapsed {
    .section-heading {
      cursor: pointer;
    }
    .body-section {
      display: none !important;
    }
  }

  .section-error {
    color: red;
    font-weight: 550;
    padding: 10px 0 0px 25px;
    text-align: center;
  }

  .order-checkbox {
    float: right;
    padding-right: 5px;
    .checkbox__content {
      margin: 7px 0 0 7px;
    }
  }

  .milestone-section {
    margin: 0;
    .body-section {
      display: flow-root;
      padding: 0 20px 5px;
    }
    .col-md-12.milestone-row {
      display: grid;
      align-items: flex-start;
      grid-template-columns: 1fr 120px 180px 180px 1fr 30px;
      gap: 10px;
      padding: 0;
      .field-section {
        padding-left: 0;
        padding-right: 0;
      }
      .field-section.disabled {
        margin-bottom: 17px;
      }
      .delete-milestone {
        margin-top: 38px;
      }
    }
    .col-md-12.milestone-row.ordering-milestone {
      border: 1px solid lightgray;
      margin: 5px 0;
      border-radius: 5px;
      padding: 0 0 0 20px;
      div.field__label.row,
      div.row.field__input input:not([type="radio"]):disabled {
        cursor: move;
      }
    }
    .add-new-row {
      margin: 30px 0 0;
    }
    .DraggableTags {
      padding-top: 30px;
    }
    .milestone-preview-section {
      margin-top: 15px;
      h4 {
        font-size: var(--font-m);
        font-weight: 550;
        margin: 0 0 10px;
      }
      .milestone-preview {
        color: gray;
        font-weight: 450;
        > div {
          margin-bottom: 5px;
        }
        > ul {
          padding-left: 25px;
          display: flex;
          flex-direction: column;
          gap: 3px;
        }
      }
    }
  }

  .board-error {
    display: flex;
    color: red;
    font-size: var(--font-s);
    padding: 5px 0 0px 20px;
    font-family: var(--font-first);
  }

  .basic-field {
    display: flex;
    flex-wrap: wrap;
    background: white;
  }

  .select-sow {
    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-s);
      position: absolute;
    }

    .select-sow-error {
      color: red;
      font-family: var(--font-first);
      font-size: var(--font-s);
      min-height: 17px;
      display: block;
    }

    .error-input {
      border: 1px solid #f00;
      padding-bottom: 2px;
    }
  }

  .markdown-editor-input {
    .required-start {
      color: #f00;
    }
  }

  .markdown-required {
    label::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
    }
  }

  .doc-details {
    padding: 10px 15px 15px 15px;
    font-weight: 500;
    display: flex;
    text-align: right;
    flex-direction: column;

    div {
      padding-top: 5px;
    }

    span {
      font-weight: 600;
    }
  }

  .select-serviceCatalog {
    .Select-value {
      line-height: 18px !important;
    }
  }

  .service-cost-body {
    background: white;
    margin: 0px 0px 10px 0px;

    .project-scope-content {
      display: flex;
    }
    .project-scope-detail {
      display: flex;
      flex-direction: column;
      .total-nos {
        width: 500px;
        min-width: 500px;
        .project-scope-row {
          display: flex;
          align-items: center;
          .select-type {
            display: flex;
            width: 330px;
            .field__label {
              width: 160px;
            }
          }
          .checkbox-holder {
            margin: -10px 0 0 15px;
            .checkbox__content {
              margin: 7px 0 0 7px;
            }
          }
        }
      }
    }

    .phases,
    .estimated-hours-rates,
    .estimated-hours-rates-container {
      display: flex;
      flex-direction: column;
      position: relative;
      .sub-heading {
        .text {
          display: flex;
          justify-content: space-between;
          align-items: flex-end;
          margin: 0 0 0 2px;
          .eht-actions-right {
            display: flex;
            img.icon-reset-static,
            img.reset-icon__loading {
              width: 20px;
              float: right;
              cursor: pointer;
            }
            button.square-btn.add-vendor {
              margin-left: 15px;
            }
          }
        }
      }
      .DraggableTags {
        padding: 0 15px;
      }
      .phase-header,
      .estimated-hours-header {
        padding: 0 15px 0 30px;
        font-weight: 550;
        font-size: var(--font-m);
        margin-bottom: 10px;
        > div {
          padding: 0 10px 0 20px;
        }
      }
      .override-img {
        padding: 0 10px;
        text-align: center;
      }

      .mapping-row {
        display: flex;
        align-items: center;
        padding: 0 15px 0 30px;
        position: relative;
        .eht-static-text {
          align-self: center;
          .static-text-desc {
            font-weight: 500;
            font-style: italic;
            font-size: var(--font-xs);
            margin-top: 3px;
            color: gray;
          }
        }
        .field-section {
          padding: 5px 10px;
        }
        .phase-name.disabled {
          margin-bottom: 17px;
        }
        .override-column {
          display: flex;
          justify-content: center;
          margin-top: -7px;
        }
        .confirm-help-icon {
          padding: 0 10px;
        }
        .mapping-row-text {
          font-weight: 500;
          font-size: var(--font-s);
          padding: 0 10px 0 20px;
        }
      }
      .ordering-phase {
        border: 1px solid lightgray;
        padding-bottom: 15px !important;
        margin: 5px 0;
        border-radius: 5px;
        .override-img {
          margin-top: 15px;
        }
        .override-column {
          margin-top: 10px !important;
        }
        .field-section {
          margin-bottom: 0px !important;
          padding-top: 0 !important;
          padding-bottom: 0 !important;
          div.row.field__input input:not([type="radio"]):disabled,
          .Select.is-disabled > .Select-control,
          .Select--single.is-disabled .Select-value {
            cursor: move;
          }
        }
      }
      .default-mapping-row {
        min-height: var(--input-height);
        align-items: flex-start;
        padding-top: 10px;
        .col-md-4 {
          display: flex;
          flex-direction: column;
          span.info-recomended {
            color: green;
            font-style: italic;
            display: inline-block;
            margin-top: 5px;
          }
        }
      }
    }

    .contractors {
      display: flex;
      flex-direction: column;
      .contractor-row {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 10px;
        .field-section {
          padding: 0px 5px;
        }
        .disabled-calculations {
          margin-bottom: 17px;
        }
      }

      span.checkbox-holder.product-type {
        margin: 5px 10px 0;
      }
      .confirm-help-icon {
        margin-top: 10px;
      }
    }

    .mapping-row,
    .contractor-row {
      .edit-btn {
        margin: 0;
        border-radius: 50%;
        border: none;
        background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
        background-size: 12px;
        background-color: #f3f3f3;
        position: absolute;
        left: 7px;
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          border: none;
          background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
          background-size: 15px;
          background-color: #dfdfdf;
        }
      }
    }

    .contractor-row .edit-btn {
      position: relative;
      top: 9px;
    }

    .travelscontractors {
      display: flex;
      flex-direction: column;
      .contractor-row {
        padding: 0 5px;
        display: flex;
        align-items: center;
        .field-section {
          padding: 0 20px;
        }
        .confirm-help-icon {
          margin-top: 15px;
        }
      }
    }

    .risk-control-section {
      display: flex;
      flex-direction: column;
      .risk-variable-row {
        display: flex;
        align-items: center;
        gap: 25px;
        .risk-variable-input {
          padding: 0 0 0 25px;
          .field__label {
            padding-top: 0;
            .tooltip-tail::after {
              top: 8px;
            }
          }
        }
        .risk-variable-input.disabled {
          margin-bottom: 17px;
        }
      }
      .field-section.bill-expenses-radio {
        padding: 0 25px 20px;
        .radio-btn {
          padding-bottom: 10px;
        }
      }
    }

    .calculations {
      .field-section {
        padding: 15px 5px;
      }
    }

    .sub-heading {
      //border-bottom: 1px solid #ccc;
      margin: 15px 0px 10px 0px;
      font-weight: 600;

      .text {
        border-bottom: 1px solid #ccc;
        padding: 5px;
        margin: 10px 0px;
      }

      .sow-profit-margin-row {
        display: flex;
        width: 100%;
        .get-gross-margin {
          height: var(--input-height);
          margin: 42px 0 0 10px;
          min-width: unset;
          width: fit-content;
        }
      }
    }

    .sub-heading-notes {
      font-weight: 600;

      .text {
        padding: 5px 0;
      }
    }

    .notes {
      margin: 30px 0;
      padding: 0px 5px;

      .field-section div.row.field__input textarea {
        height: 160px;
      }

      .ql-template-notes {
        padding: 0;
        img.fullscreen-btn {
          margin-top: 11px;
        }
      }
    }

    .version-section {
      display: flex;
      flex-direction: column;
      padding: 0;

      textarea {
        height: 150px !important;
      }
    }

    span.checkbox-holder.zero-dollar {
      margin: 0 0 0 5px;
      .checkbox__content {
        margin: 7px 0 0 10px;
      }
    }
    .checkbox-zero-dollar input[type="checkbox"].checkbox__input {
      margin-top: -8px !important;
      margin-left: -15px !important;
    }
  }

  .img-button-reset {
    width: fit-content;
    height: fit-content;
    top: 115px;
    right: 55px;
    position: absolute;
    min-width: unset !important;
    border: none !important;
    z-index: 999;
    padding: 4px !important;

    .icon-reset {
      width: 16px;
      height: 16px;
      border: unset;
      filter: brightness(0.5);
    }
  }

  .img-button-reset:hover {
    border: none !important;
    cursor: pointer;
  }
  .img-button-reset:hover img {
    filter: invert(30%) sepia(75%) saturate(1928%) hue-rotate(194deg)
      brightness(85%) contrast(105%) !important;
  }

  .add-new-row {
    font-size: var(--font-s);
    font-weight: 500;
    cursor: pointer;
    color: var(--primary);
    width: fit-content;
    display: flex;
    margin-left: 20px;
    align-items: center;
    span.add-new-row-plus {
      font-size: 25px;
      font-weight: 400;
      display: inline-block;
      margin-right: 3px;
    }
    &:hover {
      opacity: 0.7;
    }
  }
}

.template-listing {
  .header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0px 0px 10px 0px;
  }

  .loader {
    left: 55%;
  }

  .table-container
    .table-container__table
    .ReactTable
    .rt-table
    .rt-thead.-header:first-child {
    padding-left: 0px;
  }

  .Template-users-listing__actions {
    background: white;

    .left .field-section {
      max-width: 400px;
      width: 400px;
      padding: 0;
    }

    .actions-right {
      padding-right: 15px;

      .btn.square-btn img {
        padding-right: 3px;
        width: 20px;
      }
    }

    .row-action {
      display: flex;
      //justify-content: space-between;
    }

    .checkbox-holder {
      margin: 15px 0px 0px 0;
      left: 10px;
    }
  }

  .icons-template {
    img {
      width: 25px;
    }

    img.left {
      margin: 0px 5px 0 5px;
      padding: 1.5px;
    }

    img.cloud-svg {
      border-radius: 50%;
      border: 1px solid rgb(1, 159, 227);
      padding: 0px 4px 4px 3px;
    }
  }
}

.radio-btn-group .radio-btn input[type="radio"]:checked,
.radio-btn-group .radio-btn input[type="radio"]:hover {
  border: 1px solid var(--primary);
}

.radio-btn-group .radio-btn {
  --radio-bg: var(--primary);
  padding: 3px 10px 0 0;
}

.view-icons-template {
  .view-button-template {
    background-color: white !important;
    margin: 0 5px 0 0px;
    border: 1px solid #ccc;

    &:hover,
    &:focus,
    &:active:hover,
    &:active:focus,
    &:hover:focus,
    &:active {
      background-size: 16px !important;
      background-color: white !important;
    }
  }

  .radio-btn-group .radio-btn {
    --radio-bg: var(--primary);
    padding: 3px 10px 0 0;
  }

  .view-icons-template {
    .view-button-template {
      background-color: white !important;
      margin: 0 5px 0 0px;
      border: 1px solid #ccc;

      &:hover,
      &:focus,
      &:active:hover,
      &:active:focus,
      &:hover:focus,
      &:active {
        background-size: 16px !important;
        background-color: white !important;
      }
    }
  }
}

.template-config-quill {
  padding: 5px 20px;
}

.vendor-form-body {
  position: relative;
  .vendor-modal-spinner {
    position: absolute;
    z-index: 1;
    left: -1%;
    top: 35%;
  }
  .col-md-12.row {
    padding: 0;
  }
}

.vendor-alias-edit-container {
  width: 100%;
  position: relative;
  display: flex;
  gap: 10px;
  .field-section {
    padding: 0;
  }
  .loader {
    top: 0;
  }
}
